%define major     3
%define libname   %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Name:       vsqlite++
Version:    0.3.13
Release:    %mkrel 4
Summary:    Well designed C++ sqlite 3.x wrapper library

Group:      Development/C++
License:    BSD
URL:        https://github.com/vinzenz/vsqlite--
Source0:    https://evilissimo.fedorapeople.org/releases/vsqlite--/%{version}/vsqlite++-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  gcc
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  libtool
BuildRequires:  doxygen
BuildRequires:  graphviz

%description
VSQLite++ is a C++ wrapper for sqlite3 using the C++ standard library and boost.
VSQLite++ is designed to be easy to use and focuses on simplicity.

%package -n     %{libname}
Summary:        Development files for %{name}
Group:          Development/C++

%description -n %{libname}
This package contains development files for %{name}.

%package -n     %{develname}
Summary:        Development files for %{name}
Group:          Development/C++
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
This package contains development files for %{name}.


%prep
%setup -q

%build
autoreconf -vfi
%configure \
	--disable-static
%make_build
doxygen Doxyfile

%install
# devel & base
install -p -m 755 -d %{buildroot}%{_libdir}
# devel only
install -p -m 755 -d %{buildroot}%{_includedir}/sqlite/ext
install -m 644 include/sqlite/*.hpp %{buildroot}%{_includedir}/sqlite
install -m 644 include/sqlite/ext/*.hpp %{buildroot}%{_includedir}/sqlite/ext
# docs
install -p -m 755 -d %{buildroot}%{_docdir}

# build for all
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete

%files
%doc ChangeLog README COPYING examples/sqlite_wrapper.cpp html/*

%files -n %{develname}
%doc ChangeLog README COPYING
%{_libdir}/libvsqlitepp.so
%{_includedir}/sqlite

%files -n %{libname}
%doc ChangeLog README COPYING
%{_libdir}/libvsqlitepp.so.%{major}
%{_libdir}/libvsqlitepp.so.%{major}.*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.3.13-4.mga10
+ Revision: 2213141
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.3.13-3.mga9
+ Revision: 1836656
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.3.13-2.mga8
+ Revision: 1521856
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Jan 03 2019 daviddavid <daviddavid> 0.3.13-1.mga7
+ Revision: 1348815
- new version: 0.3.13

* Sun Sep 23 2018 umeabot <umeabot> 0.3.12-8.mga7
+ Revision: 1301643
- Mageia 7 Mass Rebuild

* Sun Jan 10 2016 wally <wally> 0.3.12-7.mga6
+ Revision: 920964
- rebuild with gcc5 and use -std=c++11

* Wed Oct 15 2014 umeabot <umeabot> 0.3.12-6.mga5
+ Revision: 741200
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.12-5.mga5
+ Revision: 690245
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.3.12-4.mga4
+ Revision: 533417
- Mageia 4 Mass Rebuild

* Thu Aug 29 2013 dlucio <dlucio> 0.3.12-3.mga4
+ Revision: 472966
- Provides for devel package

* Thu Aug 29 2013 dlucio <dlucio> 0.3.12-2.mga4
+ Revision: 472965
- Requieres fix

* Thu Aug 29 2013 dlucio <dlucio> 0.3.12-1.mga4
+ Revision: 472959
- Group fix
- sqlite3-devel as BR instead sqlite-devel
- 0.3.12
- spec fixes to fit mageia style
- imported package vsqlite++


* Fri Dec 21 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.11-1
- Upstream version 0.3.11

* Fri Sep 28 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-3
- Documentation subpackage now noarch

* Wed Sep 26 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-2
- Removed comment with macro - Not needed anymore

* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.9-1
- Updated to upstream vsqlite++-0.3.9
- Removing now obsolete ./autogen.sh call in prep
- Remove of unnecessary BuildRequires automake and autoconf
- Upstream renamed Changelog to ChangeLog - reflected changes
- Upstream renamed LICENSE to COPYING - reflected changes

* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.7-2
- Fix for %%description spelling 'ibrary' => 'library'
- Fix for unused libm dependency
- Include Changelog, README and LICENSE to devel
- Removed TODO, VERSION
- Removed duplicated lines in the install sectin
- New doc sub package for the html documentation and code example
- Removed static package
- Removed unnecessary ldconfig call on devel package
- One BuildRequires entry per line

* Tue Sep 25 2012 Vinzenz Feenstra <evilissimo@gmail.com> - 0.3.7-1
- Initial package

